Skip to main content

Create a new product category

POST https://pos.paysera.com/eapi/v1/product-categories

Create a new product category.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Request Body​

FieldTypeRequiredDescription
titleobject✓Multi-language product category title keyed by language code. Tenant system language is required. Supported languages: en, et, ka, lt, ro.

Errors​

This endpoint may return the following errors:

400 - Bad Request​

Invalid request

This error is resulted by incorrectly providing one of the parameters.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

422 - Unprocessable Entity​

Unprocessable entity

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

POST https://pos.paysera.com/eapi/v1/product-categories
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
{
"title": {
"lt": "GÄ—rimai",
"en": "Drinks"
}
}

Response​

{
"id": 1,
"title": {
"lt": "GÄ—rimai",
"en": "Drinks"
},
"createdAt": "2026-05-25T12:00:00Z",
"updatedAt": "2026-05-25T12:00:00Z"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com
Body REQUIRED
{
"title": {
"lt": "GÄ—rimai",
"en": "Drinks"
}
}

RESPONSE

Product category created successfully
{
"id": 1,
"title": {
"lt": "GÄ—rimai",
"en": "Drinks"
},
"createdAt": "2026-05-25T12:00:00Z",
"updatedAt": "2026-05-25T12:00:00Z"
}